﻿<div ng-controller="userProfileController as vm">
    <br />
    <div class="row">
        <div class="col-xs-12 no-offset">
            <div class="col-xs-12 col-lg-12">
                <label style="font-size:30px; color: #232D47;">Profile </label>
                <label style="font-size:14px; color: #DEDBDB; margin-left: 10px;">ID. {{userId}} </label>
            </div>
            @*<div class="col-xs-1 form-group no-offset col-lg-1">
            </div>
            <div class="col-xs-10 form-group no-offset col-lg-10" >
                <div class="col-xs-12">
                    <label class="my-header">Profile </label>
                    <label class="my-header-id">ID. {{userId}} </label>
                </div>
            </div>*@
            <div class="col-xs-1 form-group no-offset col-lg-1">
            </div>
        </div>
    </div>
    <form name="userForm">
        <div class="row">
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- User Name--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userForm.Username.$touched && userForm.Username.$invalid }">
                    <div class="control-label col-xs-12">
                        <label id="lblCode" class="my-label">User Name</label>
                    </div>
                    <div class="col-xs-12 my-col-height">
                        <input class="form-control txtInput" maxlength="50" type="text" ng-model="user.user_name" name="Username" required placeholder="User name" ng-pattern="/^[a-zA-Z0-9]*$/" /> @*ng-disabled="true"*@
                        <div class="help-block" ng-messages="userForm.Username.$error" ng-if="userForm.Username.$touched">
                            <p ng-message="minlength">Your username is too short.</p>
                            <p ng-message="maxlength">Your username is too long.</p>
                            <p ng-message="required">Your username is required.</p>
                            <p ng-message="pattern">Your username is invalid.</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- Email--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userForm.Email.$touched && userForm.Email.$invalid }">
                    <div class="control-label col-xs-12">
                        <label id="lblCode" class="my-label">Email</label>
                    </div>
                    <div class="col-xs-12 my-col-height">
                        <input class="form-control txtInput" type="email" maxlength="50" ng-model="user.email" name="Email" placeholder="Email" ng-pattern="/^[^\s]+[^\s]+\.[^\s]{2,}$/" /> @*/^[^\s]+[^\s]+\.[^\s]{2,}$/*@
                        <div class="help-block" ng-messages="userForm.Email.$error" ng-if="userForm.Email.$touched">
                            <p ng-message="minlength">Your email is too short.</p>
                            <p ng-message="maxlength">Your email is too long.</p>
                            <p ng-message="required">Your email is required.</p>
                            <p ng-message="pattern">Your email invalid</p>
                        </div>

                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- Departmant--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4" ng-class="{ 'has-error': userForm.Department.$touched && userForm.Department.$invalid }">
                    <div class="control-label col-xs-12">
                        <label id="lblCode" class="my-label">Departmant</label>
                    </div> 
                    <div class="col-xs-12 my-col-height">
                        <input class="form-control txtInput" maxlength="50" type="text" ng-model="user.department_name" name="Department" placeholder="Department" />
                        <div class="help-block" ng-messages="userForm.Department.$error" ng-if="userForm.Department.$touched">
                            <p ng-message="minlength">Your Department is too short.</p>
                            <p ng-message="maxlength">Your Department is too long.</p>
                            <p ng-message="required">Your Department is required.</p>
                        </div>
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                @*-------- Reset password--------*@
                <div class="col-xs-4 form-group no-offset col-lg-4">
                    <div class="col-xs-12">
                        <a class="cursor-pointer my-span-color" ng-click="vm.goToResetPassword()"><u class="my-span-color">Reset password</u></a>
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12">
                <hr class="my-hr" />
            </div>
        </div>
        <div class="row">
            <div class="col-xs-12 no-offset">
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                    <div class="col-xs-12">
                        <input type="button" class="btn btn-crecon-cancel" value="CANCEL" ng-click="vm.backToIndex()">
                        <input type="button" class="btn btn-crecon-create" value="UPDATE PROFILE" data-ng-disabled="userForm.$invalid" ng-click="vm.update()" >
                    </div>
                </div>
                <div class="col-xs-4 form-group no-offset col-lg-4">
                </div>
            </div>
        </div>
    </form>


</div>